<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
?>
<?
include("../../conex.php");
$cant = 1;
$flag=0;
$fecha_em=$txtfecha;
$tipo_documento = $txtdcto;
$forma_pago = $txtpago;

if ($txtivar=='') $txtivar=0;
if ($txtactividad=='') $txtactividad=null;
if ($txtemail=='') $txtemail=null;
if ($txtfono=='') $txtfono=null;
if ($txtfax=='') $txtfax=null;
	/************************************************** verifica cliente *********************************************/		
	$sql_be = "SELECT * FROM nombres WHERE rut='$txtrut'";
	$res_be = mysql_query($sql_be,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_be))
		{
		$emp_codigo=mysql_result($res_be, $row, "codigo");
		$row=$row+1;
		}
	if ($row==0)
		{
		$sql_ins = "INSERT INTO nombres (rut, razon_social, direccion, email, region, comuna, ciudad, fono1, fax, cliente, rubro_giro)
		VALUES ('$txtrut', '$txtrsoc', '$txtdireccion', '$txtemail', $lstreg, $lstcom, '$txtciudad', '$txtfono', '$txtfax', 'True', '$txtactividad')";
		mysql_query($sql_ins,$enlace);
		}
	else
		{
		$sql_upd = "UPDATE nombres SET rut='$txtrut', razon_social='$txtrsoc', direccion='$txtdireccion', email='$txtemail',
		ciudad='$txtciudad', comuna=$lstcom, region=$lstreg, rubro_giro='$txtactividad', fono1='$txtfono', fax='$txtfax', cliente = 'True' WHERE codigo = $emp_codigo";
		mysql_query($sql_upd,$enlace);
		}
		
		
		

/******************************  Total de productos *********************************************************************/
	
	$cant = "1";
	$ctot_prod=0;
	while ($cant<=$cnt)
		{
		if ($total[$cant]>0)
			{
			$ctot_prod+=1;
			}
		$cant=$cant+1;
		}	

	/************************************************** sacar tipo dcto *********************************************/		
	$sql_dcto = "SELECT * FROM tipo_dcto WHERE descripcion = 'FACTURA' AND empresa = $id_empresa";
	$res_dcto = mysql_query($sql_dcto,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_dcto))
		{
		$id_td = mysql_result($res_dcto, $row, "id");
		$row=$row+1;
		}
	/************************************************** sacar tipo PAGO *********************************************/		
	$sql_dcto = "SELECT * FROM tipo_pago WHERE id=$forma_pago";
	$res_dcto = mysql_query($sql_dcto,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_dcto))
		{
		$forma_pago = mysql_result($res_dcto, $row, "descripcion");
		$row=$row+1;
		}
	/************************************************** sacar tipo dcto *********************************************/	
	$tipo_documento='FACTURA';	
	$sql_dcto = "SELECT * FROM tipo_dcto WHERE descripcion = '$tipo_documento' AND empresa = $id_empresa";
	$res_dcto = mysql_query($sql_dcto,$enlace);
	$row=0;

	while (mysql_fetch_object ($res_dcto))
		{
		$id_tipo_dcto = mysql_result($res_dcto, $row, "id");
		$sql_num_bol = mysql_result($res_dcto, $row, "correlativo");
		$sql_num_bol = $sql_num_bol + 1;
		$row=$row+1;
		}
	$up_dcto = "UPDATE tipo_dcto SET correlativo = $sql_num_bol WHERE descripcion = '$tipo_documento' AND empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);
	
	/************************************************** sacar forma de pago *********************************************/	
		
	$sql_pago = "SELECT id FROM tipo_pago WHERE descripcion = '$forma_pago'";
	$res_pago = mysql_query($sql_pago,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_pago))
		{
		$id_tipo_pago=mysql_result($res_pago, $row, "id");
		$row=$row+1;
		}
echo $sql_pago;

	/************************************************** insertar salida ***********************************************/	
	$dia = substr ($txtfecha, 0, 2);
	$mes = substr ($txtfecha, 3, 2);
	$aņo = substr ($txtfecha, 6, 4); 
	$fecha_em = "$aņo-$mes-$dia";	
	$dia = substr ($fechaven, 0, 2);
	$mes = substr ($fechaven, 3, 2);
	$aņo = substr ($fechaven, 6, 4); 
	$fecha_ven = "$aņo-$mes-$dia";
	$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, fecha_vencimiento, tipo_pago, neto, iva, total, productos, iva_retenido, documento_control, usuario) 
	VALUES ($id_empresa, '$txtrut', $sql_num_bol, $id_tipo_dcto, '$fecha_em', '$fecha_ven', $id_tipo_pago, $sql_neto, $sql_iva, $sql_total, 1, '$txtivar', $idsalidaant, $id_user)";
	$consulta = mysql_query($wsql,$enlace);
	echo "<br>".$wsql;
	//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$sultimo_id = mysql_result($res_ultimo, 0, "id");
	
	if ($txtvalser=='1'){
	$esql = "UPDATE seriado SET num_salida = $sultimo_id WHERE chassis = '$seriado[1]'";
	$consulta = mysql_query($esql,$enlace);
	}
	$ssql = "UPDATE salida SET documento_control = $sultimo_id WHERE id=$idsalidaant";
	$consulta = mysql_query($ssql,$enlace);

	if ($forma_pago=='CREDITO')
		{
		
		$des = $tipo_documento.' '.$sql_num_bol;
		$csql = "UPDATE pago_cliente SET num_salida = $sultimo_id, descripcion = '$des', usuario=$id_user, fecha ='$fecha_ven' WHERE num_salida = $idsalidaant";
		$con = mysql_query($csql,$enlace);
		}
		$sqlupm = "SELECT * FROM movimiento WHERE  numero_dcto = $txtnv AND tipo_dcto=$id_td AND empresa = $id_empresa";
		$res_upm = mysql_query($sqlupm,$enlace);
		$row=0;
		while (mysql_fetch_object ($res_upm))
			{
			
			$codigo = mysql_result($res_upm, $row, "cod_producto");
			$cantidad = mysql_result($res_upm, $row, "cantidad");
			$precio = mysql_result($res_upm, $row, "precio_unitario");
			$desporprod = mysql_result($res_upm, $row, "descuentos");
			$psql = "INSERT INTO movimiento (empresa, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario,numero_dcto, tipo_dcto, descuentos) 
			VALUES ($id_empresa, 'S', '$fecha_em', $codigo, $cantidad, $precio, $sql_num_bol, $id_tipo_dcto, $desporprod)";
			$sql_productos = mysql_query($psql,$enlace);			
			$row=$row+1;
			}
			
?>

<script>
	window.top.open('','_parent','');window.top.close();
</script>
